<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/containerWrapper"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingStart="@dimen/game_detail_item_horizontal_padding"
    android:paddingEnd="@dimen/game_detail_item_horizontal_padding">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_shape_f8_radius_5_bottom_only"
        android:orientation="vertical"
        android:paddingBottom="14dp">

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            android:background="@color/divider"
            android:visibility="gone"
            app:layout_constraintTop_toTopOf="parent" />

        <com.gh.gamecenter.common.view.WrapContentDraweeView
            android:id="@+id/linkImageIv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            app:fadeDuration="500"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:placeholderImage="@drawable/occupy"
            app:placeholderImageScaleType="fitXY"
            app:roundedCornerRadius="5dp"
            app:viewAspectRatio="2"
            tools:layout_width="match_parent"
            tools:viewAspectRatio="2"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/linkTextContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            app:layout_constraintTop_toBottomOf="@id/linkImageIv"
            tools:layout_editor_absoluteX="12dp">

            <com.gh.gamecenter.feature.view.GameIconView
                android:id="@+id/titleIconIv"
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="@color/placeholder_bg"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/titleTv"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:layout_weight="0.8"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@color/text_title"
                android:textSize="14sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/titleHintTv"
                app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toEndOf="@+id/titleIconIv"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintWidth_default="wrap"
                app:layout_goneMarginLeft="0dp"
                tools:text="插件活动" />

            <TextView
                android:id="@+id/titleHintTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:maxLines="1"
                android:textColor="@color/theme_font"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@+id/linkHintIv"
                app:layout_constraintStart_toEndOf="@+id/titleTv"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="新版本活动" />

            <ImageView
                android:id="@+id/linkHintArrowIv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_arrow_blue"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/linkHintTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="12dp"
                android:layout_marginRight="2dp"
                android:maxWidth="74dp"
                android:maxLines="1"
                android:textColor="@color/theme_font"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toLeftOf="@id/linkHintArrowIv"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="插件常见问题" />

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/linkHintIv"
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginRight="2dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toLeftOf="@id/linkHintTv"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="@color/placeholder_bg" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/contentHintContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:visibility="gone"
            app:layout_goneMarginTop="2dp"
            app:layout_constraintTop_toBottomOf="@id/linkTextContainer"
            tools:visibility="visible">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/contentHintIv"
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:layout_marginRight="4dp"
                tools:background="@color/placeholder_bg" />

            <TextView
                android:id="@+id/contentHintTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textSize="13sp"
                tools:text="温馨提示" />
        </LinearLayout>

        <com.gh.gamecenter.common.view.ExpandTextView
            android:id="@+id/contentTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:textColor="@color/text_subtitle"
            android:textSize="13sp"
            android:visibility="gone"
            app:endText="...   "
            app:expandText="全部"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/contentHintContainer"
            app:layout_goneMarginTop="10dp"
            app:useGradientAlphaEndText="true"
            tools:text="公告文章、权重大于0的自定义栏目和介绍文案，这三类版块内容可组合拼接为一个整体部分，即拼接内容可为其中两种（如公告文章+介绍文案），也可为全部三种（包括多个自定义栏目内容），其中公告文章和自定义栏目之间、公告文章和介绍文案之间、自定义栏目和介绍文案之间加上分割线隔开"
            tools:visibility="visible" />

        <RelativeLayout
            android:id="@+id/expandTagsHint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:translationY="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/recyclerview"
            app:layout_constraintLeft_toLeftOf="parent"
            tools:visibility="visible">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/bg_game_detail_custom_column_tags_expand_hint" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="12dp"
                android:text="点击查看说明"
                android:textColor="@color/white"
                android:textSize="12sp" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerview"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            app:layout_constraintTop_toBottomOf="@id/contentTv" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>